procedure INITIAL;
{ Initialize global variables; read in the data file if specified on
  the command line.
}
  var Infile: text;                 { name of data input file }
      i:      integer;

begin
  Xeye := 100.0;
  Yeye := -70.0;
  Zeye := 75.0;
  Xfocal := 0.0;
  Yfocal := 0.0;
  Zfocal := 0.0;
  Nlite := 1;
  Xlite[1] := 100.0;
  Ylite[1] := 30.0;
  Zlite[1] := 0.0;
  Intensity[1] := 0.7;
  Magnify := 1.0;
  Viewtype := 0;
  Interpolate := FALSE;
  Epsilon := 0.3;
  Shadowing := FALSE;
  XYadjust := 1.0;
  Showaxes := 0;
  Xaxislen := 0.2;
  Yaxislen := 0.2;
  Zaxislen := 0.2;
  Axiscolor := 1;
  Nwindow := 1;

  Inifile := ' ';
  Viewchanged := TRUE;

  Fileread := FALSE;
  case paramcount of
    3..50: begin
      writeln ('usage: SURFMODL [filename] [menu choice]');
      halt;
    end;
    1,2: readfile (paramstr(1));
    0: setsys;
  end;  {case paramcount}
end;  { procedure INITIAL }
